Index: trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.ALGLIB/3.4.0/ALGLIB-3.4.0/interpolation.cs
===================================================================
--- trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.ALGLIB/3.1.0/ALGLIB-3.1.0/interpolation.cs	(revision 6866)
+++ trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.ALGLIB/3.4.0/ALGLIB-3.4.0/interpolation.cs	(revision 7294)
@@ -26,25 +26,15 @@
 
     /*************************************************************************
-    Polynomial fitting report:
-        TaskRCond       reciprocal of task's condition number
-        RMSError        RMS error
-        AvgError        average error
-        AvgRelError     average relative error (for non-zero Y[I])
-        MaxError        maximum error
+    IDW interpolant.
     *************************************************************************/
-    public class polynomialfitreport
+    public class idwinterpolant
     {
         //
         // Public declarations
         //
-        public double taskrcond { get { return _innerobj.taskrcond; } set { _innerobj.taskrcond = value; } }
-        public double rmserror { get { return _innerobj.rmserror; } set { _innerobj.rmserror = value; } }
-        public double avgerror { get { return _innerobj.avgerror; } set { _innerobj.avgerror = value; } }
-        public double avgrelerror { get { return _innerobj.avgrelerror; } set { _innerobj.avgrelerror = value; } }
-        public double maxerror { get { return _innerobj.maxerror; } set { _innerobj.maxerror = value; } }
-
-        public polynomialfitreport()
+
+        public idwinterpolant()
         {
-            _innerobj = new lsfit.polynomialfitreport();
+            _innerobj = new idwint.idwinterpolant();
         }
 
@@ -53,7 +43,7 @@
         // They are intended for internal use only
         //
-        private lsfit.polynomialfitreport _innerobj;
-        public lsfit.polynomialfitreport innerobj { get { return _innerobj; } }
-        public polynomialfitreport(lsfit.polynomialfitreport obj)
+        private idwint.idwinterpolant _innerobj;
+        public idwint.idwinterpolant innerobj { get { return _innerobj; } }
+        public idwinterpolant(idwint.idwinterpolant obj)
         {
             _innerobj = obj;
